Bug 1294868 - Prefer N64 ABI over N32 on 64-bit MIPS [NEEDINFO]
Prefer N64 ABI over N32 on 64-bit MIPS
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
24
mips64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MIPS
  Show dependency treegraph
 
Reported: 2015-12-30 14:17 EST by Michal Toman
Modified: 2017-08-08 08:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:36:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nickc: needinfo? (michal.toman)


Attachments (Terms of Use)
Prefer-N64-ABI-on-64-bit-MIPS.patch (4.18 KB, patch)
2015-12-30 14:17 EST, Michal Toman
no flags Details | Diff

  None (edit)
Description Michal Toman 2015-12-30 14:17:23 EST
Created attachment 1110579 [details]
Prefer-N64-ABI-on-64-bit-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform. On 64-bit MIPS, ld defaults to N32 ABI however we are building for N64 ABI. Keeping N32 default breaks the build of several packages.

Actual results:
ld defaults to N32 ABI on 64-bit MIPS

Expected results:
ld defaults to N64 ABI on 64-bit MIPS

Additional info:
Attaching a dist-git patch
Comment 1 Nick Clifton 2016-01-07 07:32:50 EST
Hi Michal,

  I have to wonder why this problem has not arisen before.  The config.bfd file is obviously set up to select the N32 ABI as the default for MIPS64 Linux, so why has no-one complained before ?

  The patch itself is fine, but please could you tell me why this needs to be fixed for Fedora only, rather than also fixing the mainstream FSF binutils so that the change applies to all MIPS Linux distributions ?

Cheers
  Nick
Comment 2 Michal Toman 2016-01-08 04:38:29 EST
Hi Nick,

that is a right question and honestly I have no good answer to that. There are not many distributions that support MIPS. In fact the only one that claims to support MIPS and I was actually able to make it work is Debian. Their binutils package carries a downstream patch similar to mine but a little different approach, they add mips64*-linux-gnuabi64 triplet that uses n64 and n32 is used with mips64*-linux. This has been proposed [1].

We can propose a (better?) patch upstream and wait for feedback if you think this is the right thing to do.

[1] https://lists.gnu.org/archive/html/bug-binutils/2014-06/msg00014.html
Comment 3 Nick Clifton 2016-01-08 05:03:53 EST
Hi Michal,

> We can propose a (better?) patch upstream and wait for feedback if you think
> this is the right thing to do.

I really do.  I am not a MIPS expert, and definitely not a MIPS kernel expert, so I would feel a lot better if more people had a chance to see your patch and comment on it if they feel so motivated.

If the patch receives acceptance upstream then I will be happy to apply it to the Fedora sources as well.

Cheers
  Nick
Comment 4 Jan Kurik 2016-02-24 09:11:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Fedora End Of Life 2017-07-25 15:42:17 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-08-08 08:36:38 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.